require "Insurgent/Traits/LoadoutPistoleerTrait"

LoadoutPistoleerTrait.description  = getText("UI_trait_LoadoutPistoleerDesc_VFE_VERSION")

function LoadoutPistoleerTrait.OnNewGame(player)
    if not player:HasTrait("LoadoutPistoleer") then
        return
    end

    local weapon = InsurgentWeaponUtil.addWeapon(player, "Base.Pistol2", {"Base.RedDot", "Base.Laser"})
    InsurgentWeaponUtil.addMags(player, "Base.45Clip", 4)
end


require "Insurgent/InsurgentWeaponUtil"

function InsurgentWeaponUtil.addBasicPistol(player)
    InsurgentWeaponUtil.addWeapon(player, "Base.Pistol", {"Base.Laser"})
    InsurgentWeaponUtil.addMags(player, "Base.9mmClip", 2)
end